//
//  KuWeiCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/20.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol KuWeiCellCellDelegate {
    @objc optional func editClickAction(sender:Int,cell:KuWeiCell)
    @objc optional func deleClickAction(sender:Int)
}
class KuWeiCell: UITableViewCell {
    
    @IBOutlet weak var nameTF: UITextField!
    var delegate:KuWeiCellCellDelegate?
    @IBOutlet weak var nameLbl: UILabel!
    @IBOutlet weak var countLbl: UILabel!
    @IBAction func editClick(_ sender: Int) {
        delegate?.editClickAction?(sender: Int(self.tag),cell:self)
    }
    
    @IBAction func deleClick(_ sender: Int) {
        delegate?.deleClickAction?(sender:  Int(self.tag))
    }
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
     
        nameTF.returnKeyType = .done
        // Initialization code
    }
    
    
    
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        
        // Configure the view for the selected state
    }
    
}
