//
//  OtherInfoTextViewTableViewCell.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/8/11.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

protocol OtherInfoTextViewTableViewCellDelegate {
    func OtherInfoTextViewTableViewCellGetTextContent(sender:String)
}

class OtherInfoTextViewTableViewCell: UITableViewCell,UITextViewDelegate {
    @IBOutlet weak var nameLbl: UILabel!
    var delegate:OtherInfoTextViewTableViewCellDelegate?
    
    @IBOutlet weak var bgLeft: NSLayoutConstraint!
    @IBOutlet weak var titleLeft: NSLayoutConstraint!
    @IBOutlet weak var textViewBgV: UIView!
    @IBOutlet weak var iconImV: UIImageView!
    @IBOutlet weak var textCountLbl: UILabel!
    @IBOutlet weak var textView: UITextView!
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code]
        textView.delegate = self
    }
 
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    func textView(_ textView: UITextView, shouldChangeTextIn range: NSRange, replacementText text: String) -> Bool {
        textCountLbl.text = "(\(textView.text.count)/200)"
        if (textView.text.count == 200)
        {
            textView.text = textView.text.subString(start: 0, length: 200)
         }
        delegate?.OtherInfoTextViewTableViewCellGetTextContent(sender: textView.text)
        return true
    }
    func textViewDidChange(_ textView: UITextView) {
 
        if textView.markedTextRange == nil {
            if textView.text.count > 200 {
                textView.text = textView.text.subString(start: 0, length: 200)
            }
        }
        delegate?.OtherInfoTextViewTableViewCellGetTextContent(sender: textView.text)

    }
}
