//
//  TitleAndSwitchCell.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/17.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol TitleAndSwitchCellDelegate {
    @objc optional func switchClick(content:UISwitch,cell:TitleAndSwitchCell)
    
}
class TitleAndSwitchCell: UITableViewCell {
    @IBOutlet weak var introLbl: UILabel!
    var delegate:TitleAndSwitchCellDelegate?
    @IBOutlet weak var namelbl: UILabel!
    @IBOutlet weak var contentLbl: UILabel!
    @IBOutlet weak var infoSw: UISwitch!
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        infoSw.transform = CGAffineTransform(scaleX: 0.8, y: 0.8)
        infoSw.addTarget(self, action: #selector(switchChange(sender:)), for: .valueChanged)
        self.selectionStyle = .none
    }
    @objc func switchChange(sender:UISwitch){
        delegate?.switchClick?(content: sender, cell: self)
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
