//
//  WareHouseSpCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/18.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
protocol WareHouseSpCellDelegate {
    func clickAction(sender:UIButton)
    func whTextChange(sender:String,cell:WareHouseSpCell)
    func whSwitchChange(sender:UISwitch)
}
class WareHouseSpCell: UITableViewCell {
    var delegate:WareHouseSpCellDelegate?
    @IBOutlet weak var hiddenBtn: UIButton!
    @IBOutlet weak var whSwitch: UISwitch!
    @IBOutlet weak var clickBtn: UIButton!
    @IBOutlet weak var titleLbl: UILabel!
    @IBAction func btnAction(_ sender: UIButton) {
        delegate?.clickAction(sender: sender)
    }
    @IBOutlet weak var btnImg: UIImageView!
    @IBOutlet weak var detailTF: UITextField!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        whSwitch.addTarget(self, action: #selector(swValueChange(sender:)), for: .valueChanged)
        whSwitch.transform = CGAffineTransform( scaleX: 0.8, y: 0.8)
        detailTF.addTarget(self, action: #selector(textChange(sender:)), for: .allEditingEvents)
        // Initialization code
    }
    @objc func swValueChange(sender:UISwitch){
        print("abc")
        delegate?.whSwitchChange(sender: sender)
    }
    @objc func textChange(sender:UITextField){
        delegate?.whTextChange(sender: sender.text!, cell: self)
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
