//
//  WenDuCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/24.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

protocol WenDuCellDelegate {
    func WenDuCellSelect(index:Int)
}

class WenDuCell: UITableViewCell {
    var delegate:WenDuCellDelegate?

    @IBAction func selectAction(_ sender: UIButton) {
        switch sender.tag {
        case 0:
 
            setBtnUI(btn: rightBtn,tag: sender.tag)
            leftBtn.isSelected = true
            LeftBtn2.isSelected = true
            setBtnUI(btn: leftBtn,tag: sender.tag)
            setBtnUI(btn: LeftBtn2,tag: sender.tag)
            break
        case 1:
            setBtnUI(btn: leftBtn,tag: sender.tag)
            rightBtn.isSelected = true
            LeftBtn2.isSelected = true
            setBtnUI(btn: rightBtn,tag: sender.tag)
            setBtnUI(btn: LeftBtn2,tag: sender.tag)
            break
        default:
            setBtnUI(btn: LeftBtn2,tag: sender.tag)
            rightBtn.isSelected = true
            leftBtn.isSelected = true
            setBtnUI(btn: rightBtn,tag: sender.tag)
            setBtnUI(btn: leftBtn,tag: sender.tag)
            break
        }
    }
    
    func setBtnUI(btn:UIButton,tag:Int){
        btn.isSelected = !btn.isSelected
        if btn.isSelected{
            btn.backgroundColor = UIColor(named: "蓝色字体颜色")
            btn.layer.borderWidth = 0
            delegate?.WenDuCellSelect(index: btn.tag + 1)
        }else{
            btn.backgroundColor = UIColor.clear
            btn.layer.borderWidth = 1
            if tag == btn.tag{
                delegate?.WenDuCellSelect(index: 0)
            }
        }
    }
    
    @IBOutlet weak var LeftBtn2: UIButton!
    @IBOutlet weak var rightBtn: UIButton!
    @IBOutlet weak var leftBtn: UIButton!
    @IBOutlet weak var titleLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        selectionStyle = .none
        
        // Initialization code
    }
    
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        
        // Configure the view for the selected state
    }
    
}
