//
//  XuanZeShangPinCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/28.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol XuanZeShangPinCellDelegate {
    @objc optional func XuanZeShangPinCellBtnClick(index:IndexPath)
    @objc optional func XuanZeShangPinCellTextChange(index:IndexPath,sender:XuanZeShangPinCell,senderTF:UITextField)
    @objc optional func XuanZeShangPinCellCountChange(sender:XuanZeShangPinCell,senderTF:UITextField)
}
class XuanZeShangPinCell: UITableViewCell{
    var isCg = false
    var imgUrlPath:String?
    var sku_id:Int?
    var model:GetGoodsInfoDataModel?
    var maxNum :Int? = 0

    @IBOutlet weak var iconImg: UIImageView!
    @IBOutlet weak var priceLbl: UILabel!
    @IBOutlet weak var yuShouImg: UIImageView!
    var delegate:XuanZeShangPinCellDelegate?
    var idx:IndexPath?
    @IBOutlet weak var lineView: UIView!
    @IBAction func btnClickAction(_ sender: Any) {
        delegate?.XuanZeShangPinCellBtnClick!(index:idx!)
    }
    @IBAction func addOrDelAction(_ sender: UIButton) {
        let str = countTF.text as! NSString
        if isCg {
            
            if sender.tag == 0 {//加
                 countTF.text = "\(str.integerValue + 1)"
            }else{
                if str.integerValue > 1 {
                    countTF.text = "\(str.integerValue - 1)"
                }
            }
            delegate?.XuanZeShangPinCellCountChange?(sender: self, senderTF: countTF)
            return
        }
        if sender.tag == 0 {//加
            if maxNum! > 0 {
                if (str.integerValue + 1) > maxNum! {
                    let maxStr = StringByInt(number: maxNum!)
                    HUD.flash(.label("不可超过最大数量" + maxStr),delay: 1.2)
                    countTF.text = StringByInt(number: maxNum!)
                    
                }else{
                    countTF.text = "\(str.integerValue + 1)"
                }
            }else{
                countTF.text = "\(str.integerValue + 1)"
            }
        }else {
            if str.integerValue > 1 {
                countTF.text = "\(str.integerValue - 1)"
            }
        }
        delegate?.XuanZeShangPinCellCountChange?(sender: self, senderTF: countTF)
    }
    @IBOutlet weak var tapBtn: UIButton!
    @IBOutlet weak var priceTF: UITextField!
    @IBOutlet weak var countTF: UITextField!
    
    @IBOutlet weak var detailLbl2: UILabel!
    @IBOutlet weak var detailLbl: UILabel!
    @IBOutlet weak var nameLbl: UILabel!
    @IBOutlet weak var selectBtn: UIButton!
    @IBOutlet weak var btmView: UIView!
    @IBOutlet weak var btmViewHeight: NSLayoutConstraint!
    
    var cellModel: GetGoodsInfoDataModel? = nil
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        selectBtn.isUserInteractionEnabled = false
        priceTF.addTarget(self, action: #selector(textChange(sender:)), for: .allEditingEvents)
        countTF.addTarget(self, action: #selector(textChange(sender:)), for: .allEditingEvents)
        
        
        // Initialization code
    }
    

    @objc func textChange(sender:UITextField){
        let num = sender.text as! NSString
        if isCg {
            delegate?.XuanZeShangPinCellTextChange?(index: idx!,sender:self,senderTF:sender)
            return
        }
        let maxStr = StringByInt(number: maxNum!)
        if sender == countTF{
            if num.integerValue > maxNum! {
                HUD.flash(.label("不可超过最大数量" + maxStr),delay: 1.2)
                countTF.text = maxStr
                }
            
        }
        delegate?.XuanZeShangPinCellTextChange?(index: idx!,sender:self,senderTF:sender)
    }
    
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        
        // Configure the view for the selected state
    }
    
}
