//
//  TitleAndSelCalendarView.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/23.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
protocol TitleAndSelCalendarViewDelegate {
    func isShowCalendarV(isShow:Bool)
}
class TitleAndSelCalendarView: UIView {
    var contentView:UIView!
    var delegate:TitleAndSelCalendarViewDelegate?

    var isSelectV :Bool = false
    @IBOutlet weak var timeLbl: UILabel!
    @IBAction func btnAction(_ sender: UIButton) {
        print("选择时间范围--")
        isSelectV = !isSelectV
        self.delegate?.isShowCalendarV(isShow: isSelectV)
    }
    //初始化时将xib中的view添加进来
    override init(frame: CGRect) {
        super.init(frame: frame)
        contentView = loadViewFromNib()
        addSubview(contentView)
        contentView.snp.makeConstraints { (make) in
            make.left.top.right.bottom.equalToSuperview()
        }
    }
    //    /初始化时将xib中的view添加进来
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
        contentView = loadViewFromNib()
        addSubview(contentView)
        contentView.snp.makeConstraints { (make) in
            make.left.top.right.bottom.equalToSuperview()
        }
        
    }
    //加载xib
    func loadViewFromNib() -> UIView {
        let className = type(of: self)
        let bundle = Bundle(for: className)
        let name = NSStringFromClass(className).components(separatedBy: ".").last
        let nib = UINib(nibName: name!, bundle: bundle)
        let view = nib.instantiate(withOwner: self, options: nil).first as! UIView
        return view
    }
}
