//
//  AdressSelectCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/24.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
protocol AdressSelectCellDelegate {
    func AdressSelectCellBtnCLick(row:Int)
    func AdressSelectCellTap(row:Int)
}
class AdressSelectCell: UITableViewCell {
    @IBOutlet weak var contentV: UIView!
    @IBOutlet weak var nameLbl: UILabel!
    @IBOutlet weak var phoneLbl: UILabel!
    @IBOutlet weak var adrLbl: UILabel!
    var delegate:AdressSelectCellDelegate?
    @objc func tapAction(gesture:UITapGestureRecognizer){
        delegate?.AdressSelectCellTap(row: self.tag)
    }
    @IBAction func btnClick(_ sender: UIButton) {
        delegate?.AdressSelectCellBtnCLick(row: self.tag)
    }
    @IBOutlet weak var titleLbl: UILabel!
    
   
    @IBOutlet weak var contentLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        selectionStyle = .none
        let tap = UITapGestureRecognizer()
        tap.addTarget(self, action: #selector(tapAction(gesture:)))
        contentLbl.isUserInteractionEnabled = true
        contentLbl.addGestureRecognizer(tap)
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
