//
//  DaiQueRenCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/18.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol DaiQueRenCellDelegate {
    @objc optional func submit(sender:UIButton)
    @objc optional func cancel(sender:UIButton)
}
class DaiQueRenCell: UITableViewCell {

    @IBOutlet weak var formLbl: UILabel!
    @IBOutlet weak var cancelBtn: UIButton!
    @IBOutlet weak var submitBtn: UIButton!
    @IBOutlet weak var priceLbl: UILabel!
    @IBOutlet weak var countLbl: UILabel!
    @IBOutlet weak var dateLbl: UILabel!
    @IBOutlet weak var typeLbl: UILabel!
    @IBOutlet weak var accountLbl: UILabel!
    @IBOutlet weak var statusLbl: UILabel!
    @IBOutlet weak var nameLbl: UILabel!
    var delegate:DaiQueRenCellDelegate?
    //MARK: -方法
    
    @IBAction func cancelClick(_ sender: UIButton) {
        delegate?.cancel?(sender: sender)
    }
    @IBAction func submitClick(_ sender: UIButton) {
        delegate?.submit?(sender: sender)
    }
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
