//
//  GYS_FX_ProductCellTableViewCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/11/2.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
protocol GYS_FX_ProductCellDelegate {
    func GYS_FX_ProductCellTableViewCellSelect(idx:Int)
}
class GYS_FX_ProductCellTableViewCell: UITableViewCell {
    
    var delegate:GYS_FX_ProductCellDelegate?
    @IBAction func selectProductAction(_ sender: UIButton) {
        delegate?.GYS_FX_ProductCellTableViewCellSelect(idx: self.tag)
    }
    @IBOutlet weak var left_btn: UIButton!
    @IBOutlet weak var select_Img: UIImageView!
    @IBOutlet weak var old_price_Lbl: UILabel!//原价
    @IBOutlet weak var new_price_Lbl: UILabel!//分销价
   
    @IBOutlet weak var store_lbl: UILabel!//库存
    @IBOutlet weak var sell_total_Lbl: UILabel!//销量
    @IBOutlet weak var title_Lbl: UILabel!//标题
    @IBOutlet weak var FX_Percent_Lbl: UILabel!//分销比例
    @IBOutlet weak var item_Icon_Img: UIImageView!//图标
    @IBOutlet weak var submit_Btn_W: NSLayoutConstraint!
    @IBOutlet weak var submitBtn: UIButton!
    @IBOutlet weak var leftValue: NSLayoutConstraint!
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        self.selectionStyle = .none
        submitBtn.titleLabel?.numberOfLines = 0
        
    }
   
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
