//
//  GYS_GuanLi_Cell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/11/2.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
protocol GYS_GuanLi_CellDelegate {
    func GYS_GuanLi_CellStopAction(idx:Int)
}
class GYS_GuanLi_Cell: UITableViewCell {
    var isFenXiaoShang : Bool = false //分销商管理 == true,改变合作按钮颜色。
    var delegate:GYS_GuanLi_CellDelegate?
    @IBOutlet weak var icon_Img: UIImageView!//公司LOGO
    @IBOutlet weak var status_Lbl: UILabel!//状态 
    @IBOutlet weak var time_Lbl: UILabel!//时间
    @IBOutlet weak var adr_Lbl: UILabel!//地址
    @IBOutlet weak var title_Lbl: UILabel!//公司名
    @IBAction func stopAction(_ sender: UIButton) {
        delegate?.GYS_GuanLi_CellStopAction(idx: self.tag)
    }
    @IBOutlet weak var submitBtn: UIButton!//终止按钮-默认隐藏
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        self.selectionStyle = .none
        
    }
    override func layoutIfNeeded() {
        super.layoutIfNeeded()
        if isFenXiaoShang {
            submitBtn.isHidden = false
            submitBtn.backgroundColor = UIColor.white
            submitBtn.layer.borderWidth = 1
            submitBtn.layer.borderColor = UIColor(named: "按钮背景颜色")?.cgColor
            submitBtn.setTitle("删除", for: .normal)
            submitBtn.setTitleColor(UIColor(named: "按钮背景颜色"), for: .normal)
        }
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        
        // Configure the view for the selected state
    }
    
}
