//
//  TilteAndTextViewCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/26.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol TilteAndTextViewCellDelegate {
    @objc optional func TilteAndTextViewCellResponseStr(str:String,cell:TilteAndTextViewCell)
}
class TilteAndTextViewCell: UITableViewCell,UITextViewDelegate{
    var delegate:TilteAndTextViewCellDelegate?
    func textViewDidChange(_ textView: UITextView) {
        if textView.text.count > 0 {
            holderLbl.isHidden = true
        }else{
            holderLbl.isHidden = false
        }
        delegate?.TilteAndTextViewCellResponseStr?(str: textView.text,cell:self)
    }
    @IBOutlet weak var textView: UITextView!
    @IBOutlet weak var titleLbl: UILabel!
    @IBOutlet weak var holderLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        textView.delegate = self
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
