//
//  TitleAndBtnCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/21.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol TitleAndBtnCellDelegate {
    @objc optional func btnClick(content:String,cell:TitleAndBtnCell)
}
class TitleAndBtnCell: UITableViewCell {
var delegate:TitleAndBtnCellDelegate?
    @IBOutlet weak var imgView: UIImageView!
    @IBOutlet weak var btn: UIButton!
    @IBOutlet weak var lineWidth: NSLayoutConstraint!
    @IBOutlet weak var arrowImg: UIImageView!
    @IBOutlet weak var contentLbl: UILabel!
    @IBOutlet weak var nameLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        // Initialization code
    }
    
    @IBOutlet weak var contentRight: NSLayoutConstraint!
    
    @IBAction func btnClick(_ sender: Any) {
        delegate?.btnClick?(content: contentLbl.text!, cell: self)
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
