//
//  TitleAndOnlyBtnCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/24.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
protocol TitleAndOnlyBtnCellDelegate {
    func TitleAndOnlyBtnCellBtnClick(cell:TitleAndOnlyBtnCell)
    
    func TitleAndOnlyBtnCellEditBtnClick(cell:TitleAndOnlyBtnCell)
}
class TitleAndOnlyBtnCell: UITableViewCell {
    var delegate:TitleAndOnlyBtnCellDelegate?
    @IBAction func selectImgAction(_ sender: Any) {
        delegate?.TitleAndOnlyBtnCellBtnClick(cell: self)
    }
    @IBOutlet weak var imgBgView: UIView!
    @IBOutlet weak var imgView: UIImageView!
    
    @IBOutlet weak var button: UIButton!
    @IBAction func editAction(_ sender: Any) {
        delegate?.TitleAndOnlyBtnCellEditBtnClick(cell: self)
    }
    @IBOutlet weak var titleLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        selectionStyle = .none
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
