//
//  TitleAndSelectCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/22.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol TitleAndSelectCellDelegate {
    @objc optional func TitleAndSelectCellClick(content:UIButton,cell:TitleAndSelectCell)
}
class TitleAndSelectCell: UITableViewCell {
    var delegate:TitleAndSelectCellDelegate?
    var is_center_select = false
    @IBOutlet weak var selectBtn: UIButton!
    @IBOutlet weak var line: UIView!
    @IBAction func selectClick(_ sender: UIButton) {
        delegate?.TitleAndSelectCellClick?(content: sender, cell: self)
    }
    @IBOutlet weak var titleLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        selectionStyle = .none
        
        // Initialization code
    }

    override func layoutIfNeeded() {
        super.layoutIfNeeded()
        if is_center_select {
            selectBtn.setImage(UIImage(named: ""), for: .normal)
            selectBtn.setImage(UIImage(named: "icon_gou"), for: .selected)
        }
    }
    
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
