//
//  TitleAndTFBtnCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/28.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

protocol TitleAndTFBtnCellDelegate {
    func TitleAndTFBtnCellEndEdit(contentStr:String,cellTag:Int)
}
class TitleAndTFBtnCell: UITableViewCell,UITextFieldDelegate {

    var delegate:TitleAndTFBtnCellDelegate?
    @IBOutlet weak var contentTf: UITextField!
    @IBOutlet weak var nameLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        contentTf.delegate = self
        // Initialization code
    }
    
    func textFieldDidEndEditing(_ textField: UITextField) {
        delegate?.TitleAndTFBtnCellEndEdit(contentStr: textField.text!,cellTag: self.tag)
    }
    
    @IBAction func eidtAction(_ sender: Any) {
        contentTf.becomeFirstResponder()
    }
    
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
