//
//  TitleAndTFCell.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/17.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol TitleAndTFCellDelegate {
    @objc optional func textFieldContent(content:String,cell:TitleAndTFCell)
}
class TitleAndTFCell: UITableViewCell {
    @IBOutlet weak var line: UIView!
    var delegate:TitleAndTFCellDelegate?
    @IBOutlet weak var textTF: UITextField!
    @IBOutlet weak var nameLbl: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        textTF.addTarget(self, action: #selector(textChange(textField:)), for: .allEditingEvents)
    }
  
    
    @objc func textChange(textField:UITextField){
        
        delegate?.textFieldContent?(content: textField.text!, cell: self)
    }
        
   
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
