//
//  YunDanLieBiaoCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/24.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

protocol YunDanLieBiaoCellDelegate {
    func YunDanLieBiaoCellAction(sender:UIButton)
}

class YunDanLieBiaoCell: UITableViewCell {
    var delegate : YunDanLieBiaoCellDelegate?
    /// 订单号
    @IBOutlet weak var orderNumLbl: UILabel!
    /// 时间
    @IBOutlet weak var timeLbl: UILabel!
    /// 平台
    @IBOutlet weak var standerLbl: UILabel!
    /// 左上角标题
    @IBOutlet weak var title1: UILabel!
    /// 右上角标题
    @IBOutlet weak var title2: UILabel!
    /// 订单状态
    @IBOutlet weak var statusLbl: UILabel!
    /// 发货人
    @IBOutlet weak var senderLbl: UILabel!
    /// 收货人
    @IBOutlet weak var receiverLbl: UILabel!
    /// 货品名称
    @IBOutlet weak var productNameLbl: UILabel!
    /// 签收状态
    @IBOutlet weak var signLbl: UILabel!
    /// 根据状态给标题
    @IBOutlet weak var acButton: UIButton!
    override func awakeFromNib() {
        super.awakeFromNib()
        selectionStyle = .none
        
        // Initialization code
    }

    @IBAction func acTion(_ sender: UIButton) {
        delegate?.YunDanLieBiaoCellAction(sender: sender)
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
