//
//  GoodsCollectionViewCell.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/21.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
import LGButton
protocol GoodsCollectionViewCellDelegate {
    func selectListsIndex(index:Int)
    func changeGoodsIsShow(isTrue:Bool,byIndex:Int)
}

class GoodsCollectionViewCell: UICollectionViewCell {

    var delegate : GoodsCollectionViewCellDelegate?
    
    @IBOutlet weak var speatrr: UILabel!
    @IBOutlet weak var goodsImgV: UIImageView!
    @IBOutlet weak var codeBtn: UIButton!
    @IBOutlet weak var rightBtn: UIButton!
    @IBOutlet weak var leftBtn: UIButton!
    @IBOutlet weak var lgBtn: LGButton!
    @IBOutlet weak var priceLbl: UILabel!
    @IBOutlet weak var goodsName: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }
 
    
    @IBAction func lgBtnAction(_ sender: LGButton) {
        print("点击图片背景==\(sender.tag)")
        self.delegate?.selectListsIndex(index: sender.tag)
    }
    
    @IBAction func leftAction(_ sender: UIButton) {
        print("点击左边按钮\(sender.tag)")
        
        self.delegate?.changeGoodsIsShow(isTrue: false, byIndex: sender.tag)
    }
    
    @IBAction func rightAction(_ sender: UIButton) {
        print("点击右边按钮\(sender.tag)")
        self.delegate?.changeGoodsIsShow(isTrue: true, byIndex: sender.tag)

    }
    @IBAction func codeAction(_ sender: UIButton) {
        print("点击二维码按钮\(sender.tag)")
        HUD.flash(.label("分享功能开发中"),delay: 1.2)
    }
}
