//
//  WorkSelectTimeView.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/7.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
protocol WorkSelectTimeViewDelegate {
    func selectWorkIndx(sender:Int,beginDate: Date?, endginDate: Date?)
}

class WorkSelectTimeView: UIView ,TimeSelectViewDelgate{
    var delegate:WorkSelectTimeViewDelegate?
    
    var contentView:UIView!
    @IBAction func tapBlackAction(_ sender: UITapGestureRecognizer) {
        if selectIndex != 1004 {
            timeView.removeFromSuperview()
            wContentHeight.constant = 73
        }
        self.delegate?.selectWorkIndx(sender: selectIndex, beginDate: nil, endginDate: nil)
        self.removeFromSuperview()
    }
    
    @IBOutlet weak var wContentView: UIView!
    @IBOutlet weak var wContentHeight: NSLayoutConstraint!
    @IBOutlet weak var fBtn: UIButton!
    @IBOutlet weak var sBtn: UIButton!
    @IBOutlet weak var tbtn: UIButton!
    @IBOutlet weak var lBtn: UIButton!
    
    var selectIndex =  0 {
        didSet {
            fBtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
            fBtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
            
            sBtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
            sBtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
            
            tbtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
            tbtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
            
            lBtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
            lBtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
            
            if selectIndex == 1001 {
                fBtn.setTitleColor(UIColor.init(named: "白色背景色"), for: .normal)
                fBtn.backgroundColor = UIColor.init(named: "蓝色字体颜色")
            }else if selectIndex == 1002 {
                sBtn.setTitleColor(UIColor.init(named: "白色背景色"), for: .normal)
                sBtn.backgroundColor = UIColor.init(named: "蓝色字体颜色")
            }else if selectIndex == 1003 {
                tbtn.setTitleColor(UIColor.init(named: "白色背景色"), for: .normal)
                tbtn.backgroundColor = UIColor.init(named: "蓝色字体颜色")
            }else if selectIndex == 1004 {
                lBtn.setTitleColor(UIColor.init(named: "白色背景色"), for: .normal)
                lBtn.backgroundColor = UIColor.init(named: "蓝色字体颜色")
            }
            
        }
    }
    
    @IBAction func btnAction(_ sender: UIButton) {
        fBtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
        fBtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
        
        sBtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
        sBtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
        
        tbtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
        tbtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
        
        lBtn.setTitleColor(UIColor.init(named: "多选按钮字体颜色"), for: .normal)
        lBtn.backgroundColor = UIColor.init(named: "多选按钮背景颜色")
        
        sender.setTitleColor(UIColor.init(named: "白色背景色"), for: .normal)
        sender.backgroundColor = UIColor.init(named: "蓝色字体颜色")
        timeView.removeFromSuperview()

        if sender.tag == 1004 {
            wContentHeight.constant = 73 + 300*glscale
            wContentView.addSubview(timeView)
            timeView.snp.makeConstraints { (make) in
                make.left.right.bottom.equalToSuperview()
                make.top.equalTo(lBtn.snp_bottom).offset(20*glscale)
            }
            timeView.subviews.forEach { (view) in
                view.removeFromSuperview()
            }
            addTimeView()
        }else{
            wContentHeight.constant = 73
            //还需要传文字出
            self.delegate?.selectWorkIndx(sender: sender.tag, beginDate: nil, endginDate: nil)
            self.removeFromSuperview()
        }
    }
    let timeView = UIView()
    weak var CalendarV:TimeSelectView?
    func addTimeView() {
        let line = UIView()
        line.backgroundColor = UIColor.init(named: "灰色分界线")
        timeView.addSubview(line)
        line.snp.makeConstraints { (make) in
            make.left.equalTo(15*glscale)
            make.right.equalTo(-15*glscale)
            make.top.equalToSuperview()
            make.height.equalTo(1)
        }
        let calendarV = TimeSelectView(frame: CGRect(x: 0, y: 1, width: fullScreenWidth, height: 235*glscale))
        calendarV.moreSelection = true
        timeView.addSubview(calendarV)
        calendarV.delegate = self
        CalendarV = calendarV
        let line2 = UIView()
        line2.backgroundColor = UIColor.init(named: "灰色分界线")
        timeView.addSubview(line2)
        line2.snp.makeConstraints { (make) in
            make.left.equalTo(15*glscale)
            make.right.equalTo(-15*glscale)
            make.top.equalTo(calendarV.snp_bottom)
            make.height.equalTo(1)
        }
        
        let sureBtn = UIButton(type: .custom)
        sureBtn.setTitleColor(UIColor.init(named: "白色背景色"), for: .normal)
        sureBtn.titleLabel?.font = UIFont.systemFont(ofSize: 13)
        sureBtn.backgroundColor = UIColor.init(named: "蓝色字体颜色")
        sureBtn.setTitle("确定", for: .normal)
        sureBtn.layer.cornerRadius = 3
        sureBtn.addTarget(self, action: #selector(sureBtnAction(sender:)), for: .touchUpInside)
        timeView.addSubview(sureBtn)
        sureBtn.snp.makeConstraints { (make) in
            make.right.bottom.equalTo(-15*glscale)
            make.width.equalTo(70*glscale)
            make.height.equalTo(30*glscale)
        }

        let kuangV = UIView()
        kuangV.layer.borderColor = UIColor.init(named: "灰色字体颜色")?.cgColor
        kuangV.layer.borderWidth = 1
        kuangV.layer.cornerRadius = 3
        timeView.addSubview(kuangV)
        kuangV.snp.makeConstraints { (make) in
            make.height.equalTo(sureBtn)
            make.right.equalTo(sureBtn.snp_left).offset(-15*glscale)
            make.width.equalTo(180*glscale)
            make.centerY.equalTo(sureBtn)
        }
        
        let clearBtn = UIButton(type: .custom)
        clearBtn.setImage(UIImage.init(named: "workTimeDel"), for: .normal)
        clearBtn.addTarget(self, action: #selector(clearBtnAction(sender:)), for: .touchUpInside)
        timeView.addSubview(clearBtn)
        clearBtn.snp.makeConstraints { (make) in
            make.right.equalTo(kuangV.snp_right).offset(-7*glscale)
            make.centerY.equalTo(sureBtn)
        }
        
        let timeLbl = UILabel()
        if BeginDate != nil && EndDate != nil {
            let timeInterval:TimeInterval = BeginDate.timeIntervalSince1970
            let timeIntervalEnd:TimeInterval = EndDate.timeIntervalSince1970
            timeLbl.text = dayByDouble(sender: timeInterval) + "-" + dayByDouble(sender: timeIntervalEnd)
            calendarV.setOldDate(beginD: BeginDate!, endD: EndDate!)

        }else{
            timeLbl.text = "-"
        }
        timeLbl.font = UIFont.systemFont(ofSize: 13)
        timeLbl.textColor = UIColor.init(named: "蓝色字体颜色")
        timeView.addSubview(timeLbl)
        timeLbl.snp.makeConstraints { (make) in
            make.centerY.equalTo(kuangV)
            make.left.equalTo(kuangV.snp_left).offset(10*glscale)
        }
        TimeLbl = timeLbl
    }
    weak var TimeLbl:UILabel?
    func selectMoreDate(beginDate: Date, endginDate: Date) {
        print("选择日期·····")
        let timeInterval:TimeInterval = beginDate.timeIntervalSince1970
        let timeIntervalEnd:TimeInterval = endginDate.timeIntervalSince1970
        TimeLbl!.text = dayByDouble(sender: timeInterval) + "-" + dayByDouble(sender: timeIntervalEnd)
        EndDate = endginDate
        BeginDate = beginDate
    }
    @objc func clearBtnAction(sender:UIButton){
        print("清除日期·····")
        TimeLbl!.text = "-"
        BeginDate = nil
        EndDate = nil
        CalendarV!.clearTheSelect()
    }
    var BeginDate: Date! = nil
    var EndDate: Date! = nil
    @objc func sureBtnAction(sender:UIButton){
        //还要传日期文本出去
        if BeginDate == nil || EndDate == nil {
            HUD.flash(.label("请选择自定义时间段"),delay: 1.2)
            return
        }
        self.delegate?.selectWorkIndx(sender: 1004, beginDate: BeginDate, endginDate: EndDate)
        self.removeFromSuperview()
    }
    
    //初始化时将xib中的view添加进来
    override init(frame: CGRect) {
        super.init(frame: frame)
        contentView = loadViewFromNib()
        addSubview(contentView)
        contentView.snp.makeConstraints { (make) in
            make.left.top.right.bottom.equalToSuperview()
        }
    }
    //    /初始化时将xib中的view添加进来
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
        contentView = loadViewFromNib()
        addSubview(contentView)
        contentView.snp.makeConstraints { (make) in
            make.left.top.right.bottom.equalToSuperview()
        }
        
    }
    //加载xib
    func loadViewFromNib() -> UIView {
        let className = type(of: self)
        let bundle = Bundle(for: className)
        let name = NSStringFromClass(className).components(separatedBy: ".").last
        let nib = UINib(nibName: name!, bundle: bundle)
        let view = nib.instantiate(withOwner: self, options: nil).first as! UIView
        return view
    }
}
